# TdApi.GroupCallParticipantVideoInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GroupCallParticipantVideoInfo

Package it.tdlight.jni

# Class TdApi.GroupCallParticipantVideoInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.GroupCallParticipantVideoInfo

Enclosing class:
  TdApi

    public static class TdApi.GroupCallParticipantVideoInfo
    extends TdApi.Object

Contains information about a group call participant's video channel.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `endpointId` | Video channel endpoint identifier.
`boolean` | `isPaused` | True if the video is paused.
`TdApi.GroupCallVideoSourceGroup[]` | `sourceGroups` | List of synchronization source groups of the video.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GroupCallParticipantVideoInfo()` | Contains information about a group call participant's video channel.
`GroupCallParticipantVideoInfo​(TdApi.GroupCallVideoSourceGroup[] sourceGroups, String endpointId, boolean isPaused)` | Contains information about a group call participant's video channel.
`GroupCallParticipantVideoInfo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sourceGroups

public TdApi.GroupCallVideoSourceGroup[] sourceGroups
List of synchronization source groups of the video.

### endpointId

public String endpointId
Video channel endpoint identifier.

### isPaused

public boolean isPaused
True if the video is paused. This flag needs to be ignored, if new video frames are received.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GroupCallParticipantVideoInfo

public GroupCallParticipantVideoInfo()
Contains information about a group call participant's video channel.

### GroupCallParticipantVideoInfo

public GroupCallParticipantVideoInfo​(TdApi.GroupCallVideoSourceGroup[] sourceGroups, String endpointId, boolean isPaused)
Contains information about a group call participant's video channel.

Parameters:
  `sourceGroups` - GroupCallVideoSourceGroup[] List of synchronization source groups of the video.
  `endpointId` - String Video channel endpoint identifier.
  `isPaused` - boolean True if the video is paused. This flag needs to be ignored, if new video frames are received.

### GroupCallParticipantVideoInfo

public GroupCallParticipantVideoInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`